- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# osg::TextureCubeMap::Extensions Class Reference

Extensions class which encapsulates the querying of extensions and associated function pointers, and provides convinience wrappers to check for the extensions or use the associated functions. More...

Inheritance diagram for osg::TextureCubeMap::Extensions:

[legend]
List of all members.

## Public Member Functions
| Extensions ()
| Extensions (const Extensions &rhs)
void | lowestCommonDenominator (const Extensions &rhs)
void | setupGLExtenions ()
void | setCubeMapSupported (bool flag)
bool | isCubeMapSupported () const
## Protected Member Functions
| ~Extensions ()
## Protected Attributes
bool | _isCubeMapSupported

## Detailed Description

Extensions class which encapsulates the querying of extensions and associated function pointers, and provides convinience wrappers to check for the extensions or use the associated functions.

## Constructor & Destructor Documentation

TextureCubeMap::Extensions::Extensions | ( |  | ) |

TextureCubeMap::Extensions::Extensions | ( | const Extensions & | rhs | ) |

osg::TextureCubeMap::Extensions::~Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

bool osg::TextureCubeMap::Extensions::isCubeMapSupported | ( |  | ) | const`[inline]`

void TextureCubeMap::Extensions::lowestCommonDenominator | ( | const Extensions & | rhs | ) |

void osg::TextureCubeMap::Extensions::setCubeMapSupported | ( | bool | flag | ) | `[inline]`

void TextureCubeMap::Extensions::setupGLExtenions | ( |  | ) |

## Member Data Documentation

bool osg::TextureCubeMap::Extensions::_isCubeMapSupported`[protected]`

The documentation for this class was generated from the following files:

- TextureCubeMap
- TextureCubeMap.cpp